// Solution 1: 

import java.util.*;

class Program {
  public static boolean isPalindrome(String str) {
    String reverse = "";
    char current;
    for(int idx = str.length() - 1; idx >= 0; idx--) {
      current = str.charAt(idx);
      reverse += current;
    }

    return reverse.equalsIgnoreCase(str);
  }
}

// Solution 2: 

import java.util.*;

class Program {
  public static boolean isPalindrome(String str) {
    if(str == null || str.length() == 0) {
      return true;
    }
    int left = 0, right = str.length() - 1;

    while(left < right) {
      if(str.charAt(left) != str.charAt(right)) {
        return false;
      }
      left++;
      right--;
    }

    return true;
  }
}